Sign in Start for free

Server Status

Get the status of Octopus Server

GET /api/serverstatus

Shows information about the status of the Octopus Server.

Response

200 — A snapshot of the server’s current status

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsDatabaseEncrypted boolean
  • IsInMaintenanceMode boolean
  • IsMajorMinorUpgrade boolean
  • IsPotentialClone boolean
  • IsUpgradeAvailable boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MaintenanceExpires string
  • MaximumAvailableVersion string
  • MaximumAvailableVersionCoveredByLicense string

Example Response

JSON
{
  "Id": "string",
  "IsDatabaseEncrypted": true,
  "IsInMaintenanceMode": true,
  "IsMajorMinorUpgrade": true,
  "IsPotentialClone": true,
  "IsUpgradeAvailable": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "MaintenanceExpires": "string",
  "MaximumAvailableVersion": "string",
  "MaximumAvailableVersionCoveredByLicense": "string"
}

Get counts of documents in the server

GET /api/serverstatus/counts

List counts of various document types to assist in diagnosing issues with the server.

Response

200 — The requested Server Document Counts

  • Global object
    • Spaces integer
    • Teams integer
    • Users integer
  • Infrastructure object
    • DeploymentTargets integer
    • Environments integer
    • Tenants integer
    • WorkerPools integer
    • Workers integer
  • Library object
    • Certificates integer
    • Packages integer
    • VariableSets integer
  • Project object
    • Deployments integer
    • Projects integer
    • Releases integer
    • RunbookRuns integer
    • Runbooks integer

Example Response

JSON
{
  "Global": {
    "Spaces": 0,
    "Teams": 0,
    "Users": 0
  },
  "Infrastructure": {
    "DeploymentTargets": 0,
    "Environments": 0,
    "Tenants": 0,
    "WorkerPools": 0,
    "Workers": 0
  },
  "Library": {
    "Certificates": 0,
    "Packages": 0,
    "VariableSets": 0
  },
  "Project": {
    "Deployments": 0,
    "Projects": 0,
    "Releases": 0,
    "RunbookRuns": 0,
    "Runbooks": 0
  }
}

Force a GC collect

POST /api/serverstatus/gc-collect

Triggers a garbage collection pass for all heap generations, including the large object heap.

Response

200 — OK

Force a GC collect

POST /api/serverstatus/gc-collect/v1

Triggers a garbage collection pass for all heap generations, including the large object heap.

Response

200 — Internal

Example Response

JSON
{}

Get the general health of Octopus Server

GET /api/serverstatus/health

Provides a super simple interface perfect for checking the general health of your entire Octopus Server cluster.

Response

200 — A snapshot of the server or cluster’s current health

  • Description string
  • Id string
    Gets or sets a unique identifier for this resource.
  • IsCompliantWithLicense boolean
  • IsEntireClusterDrainingTasks boolean
  • IsEntireClusterReadOnly boolean
  • IsOperatingNormally boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Error Responses

  • 418 — Indicates that the server is not operating normally

Example Response

JSON
{
  "Description": "string",
  "Id": "string",
  "IsCompliantWithLicense": true,
  "IsEntireClusterDrainingTasks": true,
  "IsEntireClusterReadOnly": true,
  "IsOperatingNormally": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Retrieve the most recent high-priority log messages from this execution of the Octopus Server process

GET /api/serverstatus/logs

Query Parameters

  • includeDetail boolean
  • skip integer
    Number of items to skip. Defaults to zero. Minimum 0.
  • take integer
    Number of items to take. Defaults to 30. Minimum 0.

Response

200 — The most recent high-priority log messages from this execution of the Octopus Server process

  • Category string
  • Detail string
  • GapLastNumber integer
  • MessageText string
  • Number integer
  • OccurredAt string
    Format date-time.

Example Response

JSON
[
  {
    "Category": "string",
    "Detail": "string",
    "GapLastNumber": 0,
    "MessageText": "string",
    "Number": 0,
    "OccurredAt": "2020-01-01T00:00:00.000Z"
  }
]

Provide information about the Octopus Server process and the machine on which it is running

GET /api/serverstatus/system-info

Response

200 — Information about the Octopus Server process and the machine on which it is running.

  • ClrVersion string
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • MinThreadPoolCount integer
  • OSVersion string
  • ThreadCount integer
  • Uptime string
    Format date-span.
  • Version string
  • WorkingSetBytes integer

Example Response

JSON
{
  "ClrVersion": "string",
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "MinThreadPoolCount": 0,
  "OSVersion": "string",
  "ThreadCount": 0,
  "Uptime": "string",
  "Version": "string",
  "WorkingSetBytes": 0
}

Create a .zip archive containing an aggregate of the other system information APIs

GET /api/serverstatus/system-report

Query Parameters

  • nodeSpecificOnly boolean
    When true, only node-specific sections are included (recent logs, system info, filesystem logs). Defaults to false (full report) when not set.

Response

200 — Success

Example Response

JSON
"string"

List timezones supported by the server

GET /api/serverstatus/timezones

Response

200 — The requested list of timezones supported by the server.

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsLocal boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • Name string

Example Response

JSON
[
  {
    "Id": "string",
    "IsLocal": true,
    "LastModifiedBy": "string",
    "LastModifiedOn": "2020-01-01T00:00:00.000Z",
    "Links": {
      "additionalProp1": "string",
      "additionalProp2": "string",
      "additionalProp3": "string"
    },
    "Name": "string"
  }
]